Page MenuHomeFreeBSD

VFS_QUOTACTL: Remove needless casts of arg argument
ClosedPublic

Authored by brooks on Nov 4 2020, 10:01 PM.

Details

Summary

The argument is a void * so there's no need to cast it to caddr_t.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

VFS_QUOTACTL(9) shows it as caddr_t, so I suppose that needs to be fixed as well.

This revision is now accepted and ready to land.Nov 4 2020, 10:29 PM
  • VFS_QUOTACTL(9): correct type of arg
This revision now requires review to proceed.Nov 6 2020, 6:15 PM
This revision is now accepted and ready to land.Dec 17 2020, 9:51 PM
This revision was automatically updated to reflect the committed changes.